Bug 419691 - The [te_IN] inscript key map had no key stroke for ZeroWidthNonJoiner(ZWNJ) in its key map.
The [te_IN] inscript key map had no key stroke for ZeroWidthNonJoiner(ZWNJ) i...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-contrib (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 426193
  Show dependency treegraph
 
Reported: 2007-12-11 08:05 EST by Krishna Babu K
Modified: 2008-01-11 04:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 04:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for te-inscript.mim (330 bytes, text/x-patch)
2007-12-18 07:13 EST, Parag Nemade
no flags Details

  None (edit)
Description Krishna Babu K 2007-12-11 08:05:33 EST
Description of problem:

The inscript key map had no key stroke for ZeroWidthNonJoiner(ZWNJ) in its key map.


Version-Release number of selected component (if applicable):
m17n-contrib-telugu-1.1.3-3.fc8

How reproducible:


Steps to Reproduce:
1.open Gedit,maintaing SCIM in RAWCODE
2.And give the key sequences 0c30+0c4d+0c2B,(ర్ఫ)
3.By using ZWNJ we can get 0c30+0c4d+200c+0c2B,(ర్‌ఫ)
  
Actual results:
ర్ఫ

Expected results:

ర్‌ఫ
Additional info:
Comment 1 Parag Nemade 2007-12-18 06:23:34 EST
mapping this ZWNJ <200c> on empty slot of key B.
Comment 2 Parag Nemade 2007-12-18 07:13:10 EST
Created attachment 289884 [details]
patch for te-inscript.mim
Comment 3 Parag Nemade 2007-12-18 07:16:42 EST
Fixed in new release m17n-contrib-1.1.3-4.fc9

Fix can be down loadable from
http://koji.fedoraproject.org/koji/getfile?taskID=298501&name=m17n-contrib-telugu-1.1.3-4.fc9.noarch.rpm
Comment 4 Jens Petersen 2007-12-19 00:39:09 EST
Thanks, dunno if a comment can be added to explain that it is a ZWNJ,
otherwise it might be confusing for people looking at the file.
Comment 5 Parag Nemade 2007-12-19 02:10:18 EST
It may confuse peoples but if you open mim files in vim you can see it as <200c>
we have not followed practice of commenting like that if you check other indic
keymaps like hi-inscript.mim, kn-inscript.mim and as-phonetix.mim.
Comment 6 Krishna Babu K 2007-12-19 05:21:19 EST
Thank you. I got expected key stroke  for the charechter 0c03 in te-inscript key
map.
Comment 7 Krishna Babu K 2007-12-19 05:28:14 EST
correction to comment #6

200c insted of 0c03

Note You need to log in before you can comment on or make changes to this bug.